Can't search/find items in the Settings Manager

Bug #1310264 reported by Pasi Lallinaho on 2014-04-20
54
This bug affects 12 people
Affects Status Importance Assigned to Milestone
xubuntu-default-settings (Ubuntu)
Low
Unassigned
Trusty
Low
Unassigned

Bug Description

[Impact]

The "Settings" category is missing in Whisker menu in Xubuntu.
Therefore, users cannot search for settings in the menu (like Additional Drivers) and must open the Settings Manager to see them.
This is a usability issue.

[Test Case]

1) Open Whiskermenu
2) Search for any launcher only shown in the Settings Manager, eg. "Users and Groups" (type "users")

Expected result:
"Users and groups" is found and shown.

Current result:
Only "run users" is enabled as an option.

[Regression Potential]

Little to none.
Only an XML file is modified. If the XML file has an error, it could possibly cause Whisker menu to not load, show nothing or have some launchers missing.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xfce4-whiskermenu-plugin 1.3.2-1
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CurrentDesktop: XFCE
Date: Sun Apr 20 15:47:40 2014
InstallationDate: Installed on 2011-10-14 (918 days ago)
InstallationMedia: Xubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
SourcePackage: xfce4-whiskermenu-plugin
UpgradeStatus: Upgraded to trusty on 2014-04-12 (8 days ago)

Pasi Lallinaho (knome) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-whiskermenu-plugin (Ubuntu):
status: New → Confirmed
Simon Steinbeiß (ochosi) wrote :

The (easy) workaround for that would be to add a settings-category to our default whiskermenu layout/menu.
(This is also the suggested fix from upstream: https://github.com/gottcode/xfce4-whiskermenu-plugin/issues/79)

affects: xfce4-whiskermenu-plugin (Ubuntu) → xubuntu-default-settings (Ubuntu)
costales (costales) wrote :

@Thaddäus: I think this is a xfce4-whiskermenu-plugin. The problem is not to search in the XFCE settings window, it's to search any settings' apps in the main menu (whisker).

costales, the applications from the settings category are excluded from the menu tree in Xubuntu (package xubuntu-default-settings). Therefore, you cannot find them by using the Whisker Menu search field.

According to comment #3, we could just re-add the settings category to resolve this problem.

costales (costales) wrote :

@Thaddäus: Thanks for your answer! :)
I'd like to search them. It's ironic, but maybe I have similar number of apps in the settings that in the main menu :S and I have to open "Settings" and research them xD
Best regards!

jeff (jeff-burger) wrote :

Hi, I have been trying out both Xubuntu and Mint 17 XFCE.

FWIW, this search issue does not occur in mint. A search from whisker menu in mint does find applications that are in settings, as I think it should.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-default-settings - 14.10.1

---------------
xubuntu-default-settings (14.10.1) utopic; urgency=medium

  * etc/skel/.Xdefaults
    - Remove 20px border from xscreensaver
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml
    - Add xfce4-battery-plugin to panel
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/parole.xml
    - Enable clutter as default videosink in parole
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu
    - Add Settings submenu to main menu to make launchers in the Settings
      category appear in Whisker menu (LP: #1310264)
  * etc/xdg/xdg-xubuntu/compton.conf
    - Add default configuration for compton
 -- Sean Davis <email address hidden> Tue, 29 Jul 2014 23:16:04 -0400

Changed in xubuntu-default-settings (Ubuntu):
status: Confirmed → Fix Released
Bruno Nova (brunonova) wrote :

Could this fix be backported to Trusty?

Bruno Nova (brunonova) wrote :

Here is someone on Askubuntu reporting this issue (and how to fix it): http://askubuntu.com/questions/538556/missing-settings-directory-in-whisker-menu

Could someone nominate this bug for Trusty and backport the fix?

Bruno Nova (brunonova) on 2014-10-21
description: updated
Changed in xubuntu-default-settings (Ubuntu Trusty):
status: New → Triaged
Changed in xubuntu-default-settings (Ubuntu):
importance: Undecided → Low
Changed in xubuntu-default-settings (Ubuntu Trusty):
importance: Undecided → Low

Hello Pasi, or anyone else affected,

Accepted xubuntu-default-settings into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xubuntu-default-settings/14.04.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xubuntu-default-settings (Ubuntu Trusty):
status: Triaged → Fix Committed
tags: added: verification-needed
Bruno Nova (brunonova) wrote :

I started a live session of Xubuntu 14.04.1 in Virtualbox to test this.
After upgrading xubuntu-default-settings to 14.04.6 from trusty-proposed, the settings category became instantly available in Whisker Menu, also making the items in that category appear in searches.
It works!

tags: added: verification-done
removed: verification-needed
Sam Miller (sampub) wrote :

Hi,
Yes after updating xubuntu-default-settings, as outlined above, the search function in the Whisker Menu is now working properly.
Thanks!
Sam

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-default-settings - 14.04.6

---------------
xubuntu-default-settings (14.04.6) trusty; urgency=medium

  [ Bruno Nova ]
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu
  - Add Settings submenu to main menu to make launchers in the Settings
    category appear in Whisker menu (LP: #1310264)
 -- Sebastien Bacher <email address hidden> Fri, 21 Nov 2014 15:19:10 +0100

Changed in xubuntu-default-settings (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xubuntu-default-settings has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints